Bug 97413 - BioShock Infinite crashes on startup with Mesa Git version, R7 370
Summary: BioShock Infinite crashes on startup with Mesa Git version, R7 370
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-20 03:42 UTC by Declan Hoare
Modified: 2016-08-25 21:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
eon.txt - game log from ~/.local/share/irrationalgames/bioshockinfinite (28.80 KB, text/plain)
2016-08-20 03:42 UTC, Declan Hoare
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Declan Hoare 2016-08-20 03:42:49 UTC
Created attachment 125917 [details]
eon.txt - game log from ~/.local/share/irrationalgames/bioshockinfinite

Hello.

BioShock Infinite no longer works with the latest Git version of Mesa on my Radeon R7 370, with the RadeonSI driver. The startup videos will play, then after a black screen for a while, the game abruptly closes. I'm running Arch stable, Linux 4.7.1, Xorg 1.18.4, LLVM 3.8.1, and Mesa which I compiled today from Git. If I use Mesa 12.0.1, with the rest of my package base exactly the same, the game works fine, albeit with poor performance.

I've attached eon.txt, which seems to be the game log, although I can't see any relevant errors in there.

Help would be much appreciated.
Comment 1 Marek Olšák 2016-08-25 18:37:26 UTC
The fix was sent to mesa-dev:
"radeonsi: don't use allocas for arrays with LLVM 3.8"
Comment 2 Marek Olšák 2016-08-25 21:08:06 UTC
Pushed as a491b9e945423a81f785220b85a9b395060952aa.


bug/show.html.tmpl processed on Jan 18, 2017 at 04:05:58.
(provided by the Example extension).